Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPPartImpl

    java.lang.Object
      javax.xml.soap.SOAPPart
          org.apache.axis.message.SOAPPartImpl

All Implemented Interfaces:
  Document, Node

Direct Known Subclasses:
  SOAPPartAxisImpl

public class SOAPPartImpl
extends javax.xml.soap.SOAPPart

An implemenation of the abstract SOAPPart.

This class should not expose functionality that is not part of `SOAPPart`. Client code should use `SOAPPart` whenever possible.

Since:
  31-May-2004
Author:
  Thomas Diesler (thomas.diesler@jboss.org)

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SOAPPartImpl()`
`SOAPPartImpl(javax.xml.soap.SOAPMessage soapMessage, InputStream inStream, javax.xml.soap.MimeHeaders headers)`

Method Summary
`void` | `addMimeHeader(String header, String value)` Add the specified MIME header, as per JAXM.
`Node` | `appendChild(Node newChild)`
`Node` | `cloneNode(boolean deep)`
`Attr` | `createAttribute(String name)`
`Attr` | `createAttributeNS(String namespaceURI, String qualifiedName)`
`CDATASection` | `createCDATASection(String data)`
`Comment` | `createComment(String data)`
`DocumentFragment` | `createDocumentFragment()`
`Element` | `createElement(String tagName)`
`Element` | `createElementNS(String namespaceURI, String qualifiedName)`
`EntityReference` | `createEntityReference(String name)`
`ProcessingInstruction` | `createProcessingInstruction(String target, String data)`
`Text` | `createTextNode(String data)`
`Iterator` | `getAllMimeHeaders()` Retrieves all the headers for this `SOAPPart` object as an iterator over the `MimeHeader` objects.
`NamedNodeMap` | `getAttributes()`
`NodeList` | `getChildNodes()`
`Source` | `getContent()` Returns the content of the SOAPEnvelope as a JAXP `Source` object.
`String` | `getContentId()` Content ID.
`String` | `getContentLocation()` Content location.
`DocumentType` | `getDoctype()`
`Element` | `getDocumentElement()`
`Element` | `getElementById(String elementId)`
`NodeList` | `getElementsByTagName(String tagname)`
`NodeList` | `getElementsByTagNameNS(String namespaceURI, String localName)`
`javax.xml.soap.SOAPEnvelope` | `getEnvelope()` Gets the `SOAPEnvelope` object associated with this `SOAPPart` object.
`Node` | `getFirstChild()`
`DOMImplementation` | `getImplementation()`
`Node` | `getLastChild()`
`String` | `getLocalName()`
`Iterator` | `getMatchingMimeHeaders(String[] match)` Get all headers that match.
`String[]` | `getMimeHeader(String name)` Gets all the values of the `MimeHeader` object in this `SOAPPart` object that is identified by the given `String`.
`String` | `getNamespaceURI()`
`Node` | `getNextSibling()`
`String` | `getNodeName()`
`short` | `getNodeType()`
`String` | `getNodeValue()`
`Iterator` | `getNonMatchingMimeHeaders(String[] match)` Get all headers that do not match.
`Document` | `getOwnerDocument()`
`Node` | `getParentNode()`
`String` | `getPrefix()`
`Node` | `getPreviousSibling()`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`Node` | `importNode(Node importedNode, boolean deep)`
`Node` | `insertBefore(Node newChild, Node refChild)`
`boolean` | `isSupported(String feature, String version)`
`void` | `normalize()`
`void` | `removeAllMimeHeaders()` Removes all the `MimeHeader` objects for this `SOAPEnvelope` object.
`Node` | `removeChild(Node oldChild)`
`void` | `removeMimeHeader(String header)` Removes all MIME headers that match the given name.
`Node` | `replaceChild(Node newChild, Node oldChild)`
`void` | `setContent(Source source)` Sets the content of the SOAPEnvelope object with the data from the given Source object.
`void` | `setContentId(String newCid)` Sets Content-Id of this part.
`void` | `setContentLocation(String loc)` Set content location.
`void` | `setMimeHeader(String name, String value)` Changes the first header entry that matches the given header name so that its value is the given value, adding a new header with the given name and value if no existing header is a match.
`void` | `setNodeValue(String nodeValue)`
`void` | `setPrefix(String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPPartImpl

    public SOAPPartImpl()

### SOAPPartImpl

    public SOAPPartImpl(javax.xml.soap.SOAPMessage soapMessage,
                        InputStream inStream,
                        javax.xml.soap.MimeHeaders headers)

Method Detail

### addMimeHeader

    public void addMimeHeader(String header,
                              String value)

  Add the specified MIME header, as per JAXM.

  Parameters:
    `header` - the header to add
    `value` - the value of that header

### getContentLocation

    public String getContentLocation()

  Content location.

  Returns:
    the content location

### setContentLocation

    public void setContentLocation(String loc)

  Set content location.

  Parameters:
    `loc` - the content location

### setContentId

    public void setContentId(String newCid)

  Sets Content-Id of this part. already defined.

  Parameters:
    `newCid` - new Content-Id

### getContentId

    public String getContentId()

  Content ID.

  Returns:
    the content ID

### getMatchingMimeHeaders

    public Iterator getMatchingMimeHeaders(String[] match)

  Get all headers that match.

  Parameters:
    `match` - an array of `String`s giving mime header names
  Returns:
    an `Iterator` over all values matching these headers

### getNonMatchingMimeHeaders

    public Iterator getNonMatchingMimeHeaders(String[] match)

  Get all headers that do not match.

  Parameters:
    `match` - an array of `String`s giving mime header names
  Returns:
    an `Iterator` over all values not matching these headers

### setContent

    public void setContent(Source source)
                    throws javax.xml.soap.SOAPException

  Sets the content of the SOAPEnvelope object with the data from the given Source object. This Source must contain a valid SOAP document.

  Parameters:
    `source` - the `Source` object with the data to be set
  Throws:
    `javax.xml.soap.SOAPException` - if the implementation cannot convert the specified Source object

### getContent

    public Source getContent()
                      throws javax.xml.soap.SOAPException

  Returns the content of the SOAPEnvelope as a JAXP `Source` object.

  Returns:
    the content as a `javax.xml.transform.Source` object
  Throws:
    `javax.xml.soap.SOAPException` - if the implementation cannot convert the specified `Source` object
  See Also:
    `setContent(javax.xml.transform.Source)`

### getAllMimeHeaders

    public Iterator getAllMimeHeaders()

  Retrieves all the headers for this `SOAPPart` object as an iterator over the `MimeHeader` objects.

  Returns:
    an `Iterator` object with all of the Mime headers for this `SOAPPart` object

### setMimeHeader

    public void setMimeHeader(String name,
                              String value)

  Changes the first header entry that matches the given header name so that its value is the given value, adding a new header with the given name and value if no existing header is a match. If there is a match, this method clears all existing values for the first header that matches and sets the given value instead. If more than one header has the given name, this method removes all of the matching headers after the first one.

  Note that RFC822 headers can contain only US-ASCII characters.

  Parameters:
    `name` - a `String` giving the header name for which to search
    `value` - a `String` giving the value to be set. This value will be substituted for the current value(s) of the first header that is a match if there is one. If there is no match, this value will be the value for a new `MimeHeader` object.
  See Also:
    `getMimeHeader(java.lang.String)`

### getMimeHeader

    public String[] getMimeHeader(String name)

  Gets all the values of the `MimeHeader` object in this `SOAPPart` object that is identified by the given `String`.

  Parameters:
    `name` - the name of the header; example: "Content-Type"
  Returns:
    a `String` array giving all the values for the specified header
  See Also:
    `setMimeHeader(java.lang.String, java.lang.String)`

### removeAllMimeHeaders

    public void removeAllMimeHeaders()

  Removes all the `MimeHeader` objects for this `SOAPEnvelope` object.

### removeMimeHeader

    public void removeMimeHeader(String header)

  Removes all MIME headers that match the given name.

  Parameters:
    `header` - a `String` giving the name of the MIME header(s) to be removed

### getEnvelope

    public javax.xml.soap.SOAPEnvelope getEnvelope()
                                            throws javax.xml.soap.SOAPException

  Gets the `SOAPEnvelope` object associated with this `SOAPPart` object. Once the SOAP envelope is obtained, it can be used to get its contents.

  Returns:
    the `SOAPEnvelope` object for this `SOAPPart` object
  Throws:
    `javax.xml.soap.SOAPException` - if there is a SOAP error

### getDoctype

    public DocumentType getDoctype()

### getImplementation

    public DOMImplementation getImplementation()

### getDocumentElement

    public Element getDocumentElement()

### createElement

    public Element createElement(String tagName)
                          throws DOMException

  Throws:
    `DOMException`

### createDocumentFragment

    public DocumentFragment createDocumentFragment()

### createTextNode

    public Text createTextNode(String data)

### createComment

    public Comment createComment(String data)

### createCDATASection

    public CDATASection createCDATASection(String data)
                                    throws DOMException

  Throws:
    `DOMException`

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(String target,
                                                             String data)
                                                      throws DOMException

  Throws:
    `DOMException`

### createAttribute

    public Attr createAttribute(String name)
                         throws DOMException

  Throws:
    `DOMException`

### createEntityReference

    public EntityReference createEntityReference(String name)
                                          throws DOMException

  Throws:
    `DOMException`

### getElementsByTagName

    public NodeList getElementsByTagName(String tagname)

### importNode

    public Node importNode(Node importedNode,
                           boolean deep)
                    throws DOMException

  Throws:
    `DOMException`

### createElementNS

    public Element createElementNS(String namespaceURI,
                                   String qualifiedName)
                            throws DOMException

  Throws:
    `DOMException`

### createAttributeNS

    public Attr createAttributeNS(String namespaceURI,
                                  String qualifiedName)
                           throws DOMException

  Throws:
    `DOMException`

### getElementsByTagNameNS

    public NodeList getElementsByTagNameNS(String namespaceURI,
                                           String localName)

### getElementById

    public Element getElementById(String elementId)

### getNodeName

    public String getNodeName()

### getNodeValue

    public String getNodeValue()
                        throws DOMException

  Throws:
    `DOMException`

### setNodeValue

    public void setNodeValue(String nodeValue)
                      throws DOMException

  Throws:
    `DOMException`

### getNodeType

    public short getNodeType()

### getParentNode

    public Node getParentNode()

### getChildNodes

    public NodeList getChildNodes()

### getFirstChild

    public Node getFirstChild()

### getLastChild

    public Node getLastChild()

### getPreviousSibling

    public Node getPreviousSibling()

### getNextSibling

    public Node getNextSibling()

### getAttributes

    public NamedNodeMap getAttributes()

### getOwnerDocument

    public Document getOwnerDocument()

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  Throws:
    `DOMException`

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  Throws:
    `DOMException`

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Throws:
    `DOMException`

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  Throws:
    `DOMException`

### hasChildNodes

    public boolean hasChildNodes()

### cloneNode

    public Node cloneNode(boolean deep)

### normalize

    public void normalize()

### isSupported

    public boolean isSupported(String feature,
                               String version)

### getNamespaceURI

    public String getNamespaceURI()

### getPrefix

    public String getPrefix()

### setPrefix

    public void setPrefix(String prefix)
                   throws DOMException

  Throws:
    `DOMException`

### getLocalName

    public String getLocalName()

### hasAttributes

    public boolean hasAttributes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.